package com.project.skidn_disease_app;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Patterns;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;
import com.google.firebase.auth.AuthResult;
import com.google.firebase.auth.FirebaseAuth;

public class SingIn extends AppCompatActivity {
    EditText email,password;
    TextView forget,signin;
    SharedPreferences settings;
    private FirebaseAuth mAuth;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mAuth = FirebaseAuth.getInstance();
        settings = PreferenceManager.getDefaultSharedPreferences(this);
        setContentView(R.layout.activity_sing_in);
        this.setTitle("Duty Calling");
        email = findViewById(R.id.email_singin_et);
        password = findViewById(R.id.pw_singin_et);
        forget = findViewById(R.id.forgot_password_singin);
        signin = findViewById(R.id.Wanna_join_click_singin_et);
        Toast.makeText(this,"Hi",Toast.LENGTH_LONG).show();
    }

    public void singUp_signin(View view) {
        Intent intent = new Intent(this,Singup.class);
        startActivity(intent);
    }

    public void forget_sigin(View view) {
        Intent intent = new Intent(this,Singup.class);
        startActivity(intent);
    }

    public void siginActivity(View view) {
        String email_text = email.getText().toString().trim();
        String password_text =password.getText().toString().trim();
        if(password_text.isEmpty()){
            password.setError("Password Can't be empthy");
            password.requestFocus();
            return;
        }
        if(email_text.isEmpty()){
            email.setError("Email Address needed");
            email.requestFocus();
            return;
        }
        if(!Patterns.EMAIL_ADDRESS.matcher(email_text).matches()){
            email.setError("Please Provide Vaild Email");
            email.requestFocus();
            return;
        }
        System.out.println("---------");
        System.out.println(email_text);
        System.out.println(password_text);
        System.out.println("-----------");
        mAuth.signInWithEmailAndPassword(email_text,password_text).addOnCompleteListener(new OnCompleteListener<AuthResult>() {
            @Override
            public void onComplete(@NonNull Task<AuthResult> task) {
                if(task.isSuccessful()){

                    Toast.makeText(SingIn.this,"Sign in Successful",Toast.LENGTH_LONG).show();
                    SharedPreferences.Editor editor = settings.edit();
                    editor.putString("userid", FirebaseAuth.getInstance().getCurrentUser().getUid().toString());
                    System.out.println(FirebaseAuth.getInstance().getCurrentUser().getUid().toString());
                    editor.commit();
                    System.out.println("singed innnnnnnnnnnn");
                    Intent intent = new Intent(SingIn.this, DutyCalling.class);
                    intent.addFlags(Intent.FLAG_ACTIVITY_REORDER_TO_FRONT);
                    startActivity(intent);

                }else{
                    Toast.makeText(SingIn.this,"Sign in Unsuccessful",Toast.LENGTH_LONG).show();
                }
            }
        });
    }
}