package com.project.skidn_disease_app.Adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.project.skidn_disease_app.R;
import com.project.skidn_disease_app.ShowDoctorViewHolder;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Random;

public class DoctorListAdapter extends RecyclerView.Adapter<ShowDoctorViewHolder> {
    private ArrayList<JSONObject> dataList;
    Context context;

    public DoctorListAdapter(Context context,ArrayList<JSONObject> dataList) {
        this.dataList = dataList;
        this.context =context;
        System.out.println("Ccccccccc");
        System.out.println(dataList);
        System.out.println("Ccccccccc");
    }

    @Override
    public int getItemViewType(final int position) {
        return R.layout.showdoctors;
    }

    @NonNull
    @Override
    public ShowDoctorViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(context).inflate(R.layout.showdoctors,parent,false);
//        View view = LayoutInflater.from(parent.getContext()).inflate(viewType, parent, false);
//        View view = LayoutInflater.from(parent.getContext()).inflate(viewType, parent, false);
        return new ShowDoctorViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull ShowDoctorViewHolder holder, int position) {
        System.out.println("Ccccccccc");
        System.out.println(position);
        System.out.println("Ccccccccc");
        JSONObject jsonobject = dataList.get(position);
        System.out.println(jsonobject.toString());
        try {
            String name = jsonobject.getString("name");
            String title= jsonobject.getString("title");
            String phone  = jsonobject.getString("phone");
            String email = jsonobject.getString("email");
            holder.getName_show_doctors().setText(String.valueOf("Name: "+title));
            holder.getEmail_show_doctors().setText(String.valueOf("Title: "+name));
            holder.getPhone_show_doctors().setText(String.valueOf("Email: "+email));
            holder.getTitle_show_doctors().setText(String.valueOf("Phone: "+phone));
        } catch (JSONException e) {
            e.printStackTrace();
        }

    }

    @Override
    public int getItemCount() {
        return dataList.size();
    }
}