package com.project.skidn_disease_app.Adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.project.skidn_disease_app.R;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;

public class MedecAdapter extends  RecyclerView.Adapter<MedecAdapter.ViewHolder>{
    ArrayList<JSONObject> dataArrayList = new ArrayList<>();
    Context context;

    public MedecAdapter(ArrayList<JSONObject> dataArrayList, Context context) {
        this.dataArrayList = dataArrayList;
        this.context = context;
    }

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.showdoctors,parent,false);
        ViewHolder viewHolder = new ViewHolder(view);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(@NonNull ViewHolder holder, int position) {
        System.out.println(dataArrayList.size());
        System.out.println(position);
        System.out.println("here"+dataArrayList);
        String name,title,phone,email = "";
        JSONObject jsonobject = dataArrayList.get(position);
        try {
            name = jsonobject.getString("name");
            title= jsonobject.getString("title");
            phone  = jsonobject.getString("phone");
            email = jsonobject.getString("email");
            System.out.println(name);
            System.out.println(title);
            holder.title_show_doctors.setText("Name: "+title);
            holder.name_show_doctors.setText("Title: "+name);
            holder.email_show_doctors.setText("Email: "+email);
            holder.phone_show_doctors.setText("Phone: "+phone);
        } catch (JSONException e) {
            e.printStackTrace();
        }




    }

    @Override
    public int getItemCount() {
        return dataArrayList.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder{
        TextView name_show_doctors,title_show_doctors,phone_show_doctors,email_show_doctors;

        public ViewHolder(@NonNull View itemView) {
            super(itemView);
            name_show_doctors = itemView.findViewById(R.id.title_show_doctors);
            title_show_doctors = itemView.findViewById(R.id.title_show_doctors);
            phone_show_doctors = itemView.findViewById(R.id.phone_show_doctors);
            email_show_doctors = itemView.findViewById(R.id.email_show_doctors);
        }

    }
}
