package com.project.skidn_disease_app;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Patterns;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.VolleyLog;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.Volley;
import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;
import com.google.firebase.auth.AuthResult;
import com.google.firebase.auth.FirebaseAuth;
import com.google.firebase.auth.FirebaseUser;
import com.google.firebase.database.FirebaseDatabase;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Singup extends AppCompatActivity {
    private FirebaseAuth mAuth;
    EditText email,password,cpassword,name;
    public static final String MyPREFERENCES = "MyPrefs" ;
    SharedPreferences settings;
    TextView forget,signin;
    private SharedPreferences sharedPref;
//    FirebaseAuth auth = FirebaseAuth.getInstance();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        settings = PreferenceManager.getDefaultSharedPreferences(this);
        setContentView(R.layout.activity_singup);
        this.setTitle("Onboarding");
        email = findViewById(R.id.Email_singup_et);
        password = findViewById(R.id.pw_sign_up);
        cpassword = findViewById(R.id.cpw_sign_up);
        name = findViewById(R.id.name_singup);
        forget = findViewById(R.id.forgot_password_signup);
        signin = findViewById(R.id.Have_an_account_click);

        mAuth = FirebaseAuth.getInstance();
        Toast.makeText(this,"Hi",Toast.LENGTH_LONG).show();
    }

    @Override
    protected void onStart() {
        super.onStart();
        // Check if user is signed in (non-null) and update UI accordingly.
//        FirebaseUser currentUser = mAuth.getCurrentUser();
    }

    public void singUp_singin(View view) {
        Intent intent = new Intent(this,SingIn.class);
        startActivity(intent);
    }

    public void forget_singup(View view) {
        Intent intent = new Intent(this,SingIn.class);
        startActivity(intent);
    }


    public void justafunction(String id,String name,String email,String permitNo,String phone,String address,int Data[],final VolleyCallBack callBack) throws JSONException {
//        String url ="https://projects.vishnusivadas.com/testing/write.php";
        final String url = "https://i0qh9h.deta.dev/api/doctor";
        JSONArray jsonArray = new JSONArray();

        Map<String, Object> postParam= new HashMap<>();
        postParam.put("id", "getList");
        postParam.put("title", "10.0086575");
        postParam.put("name", "getList");
        postParam.put("phone", "getList");
        postParam.put("email", "getList");
        postParam.put("permitNo", "getList");
        postParam.put("address", "getList");
        postParam.put("availability",jsonArray.toString() );

        String quary = "{\n  \"id\": \""+id+"\",\n  \"title\":  \""+"Dr "+"\",\n  \"name\": \""+name+"\",\n  \"phone\": \"\",\n  \"email\": \""+email+"\",\n  \"permitNo\": \"\",\n  \"address\": \"\",\n  \"availability\": [\n]\n}";
        final JSONObject jsonBody = new JSONObject(quary);
        JsonObjectRequest req = new JsonObjectRequest(url, jsonBody,
                new Response.Listener<JSONObject>() {
                    @Override
                    public void onResponse(JSONObject response) {
                        try {
                            VolleyLog.v("Response:%n %s", response.toString(4));

                            callBack.onSuccess();

                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                    }
                }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                VolleyLog.e("Error: ", error.getMessage());
            }

        });

// add the request object to the queue to be executed
        RequestQueue queue = Volley.newRequestQueue(this);
        queue.add(req);
    }
    public void singup_click(View view) {

        String email_text = email.getText().toString().trim();
        String name_text = name.getText().toString().trim();
        String password_text = password.getText().toString().trim();
        String cpassword_text = cpassword.getText().toString().trim();
        String emaill_text = email.getText().toString().trim();
        System.out.println(email_text);
        if(emaill_text.isEmpty()){
            email.setError("Email Address needed");
            email.requestFocus();
            return;
        }
        if(name_text.isEmpty()){
            name.setError("Vaild Name needed");
            name.requestFocus();
            return;
        }
        if(password_text.isEmpty()){
            password.setError("Password Can't be empthy");
            password.requestFocus();
            return;
        }
        if(cpassword_text.isEmpty()){
            cpassword.setError("Password Can't be empthy");
            cpassword.requestFocus();
            return;
        }else{
            if(!cpassword_text.equals(password_text)){
                cpassword.setError("Password Should Match");
                password.setError("Password Should Match");
                cpassword.requestFocus();
                return;
            }
        }


        if(!Patterns.EMAIL_ADDRESS.matcher(email_text).matches()){
            email.setError("Please Provide Vaild Email");
            email.requestFocus();
            return;
        }

        mAuth.createUserWithEmailAndPassword(email_text,password_text).addOnCompleteListener(task -> {
            if(task.isSuccessful()){


            Doctor doctor = new Doctor(name_text,email_text);
            FirebaseDatabase.getInstance().getReference("Doctors")
                    .child(FirebaseAuth.getInstance().getCurrentUser().getUid())
                    .setValue(doctor).addOnCompleteListener(task1 -> {
                        if(task1.isSuccessful()){
                            SharedPreferences.Editor editor = settings.edit();
                            editor.putString("userid", FirebaseAuth.getInstance().getCurrentUser().getUid());
                            editor.commit();
                            System.out.println(FirebaseAuth.getInstance().getCurrentUser().getUid());
                            int data[] = new int[0];
                            try {
                                justafunction(FirebaseAuth.getInstance().getCurrentUser().getUid().toString(),name_text,email_text,"","","",data, () -> {
                                    Toast.makeText(Singup.this,"Doctor is Registered!",Toast.LENGTH_SHORT).show();
                                    Intent intent = new Intent(Singup.this, DutyCalling.class);
                                    intent.addFlags(Intent.FLAG_ACTIVITY_REORDER_TO_FRONT);
                                    startActivity(intent);
                                    // this is where you will call the geofire, here you have the response from the volley.
                                });
                            } catch (JSONException e) {
                                e.printStackTrace();
                            }
                        }else{
                            Toast.makeText(Singup.this,"Doctor is Not 1Registered!",Toast.LENGTH_SHORT).show();
                        }
                    });
            }else{
                Toast.makeText(Singup.this,"Doctor is Not Registered!",Toast.LENGTH_SHORT).show();
            }
        });

    }
}